> For the complete documentation index, see [llms.txt](https://docs.liquidswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.liquidswap.com/liquidswap-v1-docs/integration/test-coins.md).

# Test Coins

:warning:**This part works only for testnet, as on mainnet there is production ready coins should be used!**

During the integration, you probably would need test coins, so we prepared a repository containing several coins (USDT, BTC, USDC, DAI, ETH) just for tests.

The existing pools on Liquidswap V1 use our test coins, so it's a good idea to follow standard test coins during integration. &#x20;

Repository - [test-coins](https://github.com/pontem-network/test-coins)

The following test coins are already deployed on the testnet and can be used in your project:

```
// Test BTC
0x43417434fd869edee76cca2a4d2301e528a1551b1d719b75c350c3c97d15b8b9::coins::BTC

// Test USDT
0x43417434fd869edee76cca2a4d2301e528a1551b1d719b75c350c3c97d15b8b9::coins::USDT
```

Add as dependency:&#x20;

```toml
[dependencies.TestCoins]
git = 'https://github.com/pontem-network/test-coins.git'
rev = 'latest version'
```

Use in your code:

```rust
use test_coins::coins::{USDT, BTC};
use test_coins_extended::extended_coins::{USDC, ETH, DAI};
...
```

#### Faucet

Repository - [faucet](https://github.com/pontem-network/faucet)

Tests coins are available on Aptos testnet, to get free coins just do calls to faucet or visit [Liquidswap V1 DApp](https://testnet.cl.liquidswap.com/#/).&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.liquidswap.com/liquidswap-v1-docs/integration/test-coins.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
